################################################################################
# SCHEDULE_TYPE is either weekly or nightly
# make sure the schedule time is different otherwise only one will run!!
################################################################################



################################################################################
# build and deploy voxl1 APQ8096 nightly and weekly
################################################################################

voxl_nightly:
  image: gc-devops-prop:latest
  stage: build
  only:
  - schedules
  - web
  script:
    - bash apq8096/make-sdk-release.sh ${SCHEDULE_TYPE}
    - cd apq8096 && bash upload-to-bucket.sh ${SCHEDULE_TYPE}




################################################################################
# build and deploy rb5 nightly and weekly
################################################################################

rb5_nightly:
  image: gc-devops-prop:latest
  stage: build
  only:
  - schedules
  - web
  script:
    - bash qrb5165/make-sdk-release.sh ${SCHEDULE_TYPE} rb5
    - cd qrb5165 && bash upload-to-bucket.sh ${SCHEDULE_TYPE}

################################################################################
# build and deploy voxl2 nightly and weekly
################################################################################

voxl2_nightly:
  image: gc-devops-prop:latest
  stage: build
  only:
  - schedules
  - web
  script:
    - bash qrb5165/make-sdk-release.sh ${SCHEDULE_TYPE} voxl2
    - cd qrb5165 && bash upload-to-bucket.sh ${SCHEDULE_TYPE}

################################################################################
# build and deploy voxl2-mini nightly and weekly
################################################################################

voxl2_mini_nightly:
  image: gc-devops-prop:latest
  stage: build
  only:
  - schedules
  - web
  script:
    - bash qrb5165/make-sdk-release.sh ${SCHEDULE_TYPE} voxl2-mini
    - cd qrb5165 && bash upload-to-bucket.sh ${SCHEDULE_TYPE}


################################################################################
# build and deploy ubun2.0-multi nightly
################################################################################

ubun2.0-multi_nightly:
  image: gc-devops-prop:latest
  stage: build
  only:
  - schedules
  - web
  script:
    - bash qrb5165/make-sdk-release.sh ${SCHEDULE_TYPE} ubun2.0-multi --sdk sdk2.0
    - cd qrb5165 && bash upload-to-bucket.sh ${SCHEDULE_TYPE}